Mission = {
};


function Mission:OnInit()
	-- you may want to load a string-table etc. here...
end

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end


function Mission:Finish()
	-- go to next mission...
end

function Mission:Event_FindEquipment()
Hud:AddMessage("Find Equipment on this island that will help you in you mission", 75);
Hud:PushObjective({}, "Find Equipment on this island that will help you in you mission");
Hud:SetRadarObjective("Radar1")
Hud:SetRadarObjective("Radar2")

end

function Mission:Event_DisableRadar()
Hud:AddMessage("Disable the power generator to the Radar array", 75);
Hud:PushObjective({}, "Disable the power generator to the Radar array");
Hud:CompleteObjective("Find Equipment on this island that will help you in you mission")
Hud:SetRadarObjective("Radar3")

end

function Mission:Event_DisableGenerator()
Hud:AddMessage("Destroy the Hydro-Pump power station", 75);
Hud:PushObjective({}, "Destroy the Hydro-Pump power station");
Hud:CompleteObjective("Disable the power generator to the Radar array");
Hud:SetRadarObjective("Radar4")

end

function Mission:Event_DestroyTransport()
Hud:AddMessage("Take out the Mercs heavy transport vehicle", 75);
Hud:PushObjective({}, "Take out the Mercs heavy transport vehicle");
Hud:CompleteObjective("Destroy the Hydro-Pump power station");
Hud:SetRadarObjective("Radar5")

end

function Mission:Event_CollectKeycard()
Hud:AddMessage("Find the keycard in the merc encampment on the beach", 75);
Hud:PushObjective({}, "Find the keycard in the merc encampment on the beach");
Hud:CompleteObjective("Take out the Mercs heavy transport vehicle");
Hud:SetRadarObjective("Radar6")

end

function Mission:Event_Escapeonboat()
Hud:AddMessage("Escape using the inflatable boat at the dock", 75);
Hud:PushObjective({}, "Escape using the inflatable boat at the dock");
Hud:CompleteObjective("Find the keycard in the merc encampment on the beach");
Hud:SetRadarObjective("Radar7")

end

function Mission:Event_LevelComplete()
--level completed
Hud:CompleteObjective("Escape using the inflatable boat at the dock");
Hud:AddMessage("Good work!!", 100);
end
function Mission:Event_GameSaved()
--displays game saved message
Hud:AddMessage("Game Saved", 20);
end